package jp.muziyoshiz.wmi.web.jdo;

import javax.jdo.annotations.IdentityType;
import javax.jdo.annotations.PersistenceCapable;
import javax.jdo.annotations.Persistent;
import javax.jdo.annotations.PrimaryKey;

/**
 * keyにStringを使ったバージョンのInformationです。
 * @author myoshiz
 *
 */
//identityType=IdentityType.APPLICATION : 主キーをアプリ側で定義する
//detachable="true" : JDOの管理外（？）でもこのクラスのインスタンスを扱える
@PersistenceCapable(identityType=IdentityType.APPLICATION,
     detachable="true")
public class Information {

    @PrimaryKey
    @Persistent
    private String key;
    
    @Persistent
    private Long id;
    
    @Persistent
    private String name;
    
    @Persistent
    private String value;
    
    @Persistent
    private Long position;

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Long getPosition() {
        return position;
    }

    public void setPosition(Long position) {
        this.position = position;
    }
}
