package jp.muziyoshiz.wmi.web.jdo;

import javax.jdo.annotations.IdentityType;
import javax.jdo.annotations.PersistenceCapable;
import javax.jdo.annotations.Persistent;
import javax.jdo.annotations.PrimaryKey;

//identityType=IdentityType.APPLICATION : 主キーをアプリ側で定義する
//detachable="true" : JDOの管理外（？）でもこのクラスのインスタンスを扱える
@PersistenceCapable(identityType=IdentityType.APPLICATION,
   detachable="true")
public class InformationPositionCounter {
    @PrimaryKey
    private String userId;
    
    @Persistent
    private Long counter;

    public InformationPositionCounter(String userId, Long initial) {
        this.userId = userId;
        this.counter = initial;
    }
    
    public String getUserId() {
        return userId;
    }

    public Long getCounter() {
        return counter;
    }

    public Long increment() {
        return ++this.counter;
    }
}
