package jp.muziyoshiz.wmi.web.jdo;

import java.util.Date;
import java.util.List;

import javax.jdo.annotations.IdentityType;
import javax.jdo.annotations.PersistenceCapable;
import javax.jdo.annotations.Persistent;
import javax.jdo.annotations.PrimaryKey;

//identityType=IdentityType.APPLICATION : 主キーをアプリ側で定義する
//detachable="true" : JDOの管理外（？）でもこのクラスのインスタンスを扱える
@PersistenceCapable(identityType=IdentityType.APPLICATION,
   detachable="true")
public class Knower {

    @PrimaryKey
    @Persistent
    private String key;

    @Persistent
    private Long id;
    
    @Persistent
    private String name;

    @Persistent
    private Date createdAt;

    @Persistent(defaultFetchGroup="true")
    private List<String> informationKeys;
    
    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public List<String> getInformationKeys() {
        return informationKeys;
    }

    public void setInformationKeys(List<String> informationKeys) {
        this.informationKeys = informationKeys;
    }
}
